using Photon.Pun;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class NetworkMultipleProjectileChainReaction : NetworkAbilityChainReaction
{
    public List<NetworkedProjectile> projectiles = new List<NetworkedProjectile>();

    ProjectileAbility projectileAbility;

    public override void ExecuteAbilityChainReaction(PhotonView owner, Taggable ownerTag)
    {
        projectileAbility = (ProjectileAbility)ability;
        foreach (NetworkedProjectile projectile in projectiles)
        {

            projectile.speed = projectileAbility.projectileSpeed;
            projectile.owner = owner;
            projectile.ownerTag = ownerTag;
            projectile.ability = projectileAbility;
            projectile.lifeSpan = projectileAbility.lifeSpan;
            projectile.canPierce = projectileAbility.canPierce;
            projectile.canHitSelf = projectileAbility.canHitSelf;

            projectile.gameObject.SetActive(true);

            projectile.Init();
        }
    }
}
